import request from '@/utils/request'

//数据解析-详情
export function analysisList(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisMainQuery',
    method: 'post',
    data: params
  })
}

//数据解析-状态修改
export function analysisStart(params) {
  return request({
    url: '/baggageDC/openApi/UpdateAnalysisStatus',
    method: 'post',
    data: params
  })
}

//数据解析-新增修改
export function analysisadd(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisMainSave',
    method: 'post',
    data: params
  })
}

//数据解析-删除
export function analysisele(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisDelete',
    method: 'post',
    data: params
  })
}

//数据解析-编辑列表查询
export function anaListmod(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisItemQuery',
    method: 'post',
    data: params
  })
}

//数据解析-编辑基本信息
export function anaListmoder(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisItemQuery',
    method: 'post',
    data: params
  })
}
//数据解析-编辑列表新增
export function anaListmodpass(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisItemSave',
    method: 'post',
    data: params
  })
}

//数据解析-编辑列表删除
export function anaListmodele(params) {
  return request({
    url: '/baggageDC/openApi/AnalysisItemDelete',
    method: 'post',
    data: params
  })
}
//数据解析-解析
export function analysiser(params) {
  return request({
    url: '/baggageDC/openApi/doAnalysis',
    method: 'post',
    data: params
  })
}

//航站节点-列表
export function TerminalnodeList(params) {
  return request({
    url: '/baggageDC/openApi/TraceNodesList',
    method: 'post',
    data: params
  })
}

//航站节点-列表新增
export function erListadd(params) {
  return request({
    url: '/baggageDC/openApi/TracenodesSave',
    method: 'post',
    data: params
  })
}

//航站节点-列表删除
export function TerminalnodeListele(params) {
  return request({
    url: '/baggageDC/openApi/TracenodesDelete',
    method: 'post',
    data: params
  })
}

//数据储存-列表查询
export function Datastorage(params) {
  return request({
    url: '/baggageDC/openApi/TargetDataSaveList',
    method: 'post',
    data: params
  })
}

//数据储存-状态修改
export function DatastorageStart(params) {
  return request({
    url: '/baggageDC/openApi/TargetDataSaveStatusUpdate',
    method: 'post',
    data: params
  })
}

//数据储存-新增
export function Datastorageadd(params) {
  return request({
    url: '/baggageDC/openApi/SaveTargetSave',
    method: 'post',
    data: params
  })
}

//数据储存-删除
export function Datastoragedel(params) {
  return request({
    url: '/baggageDC/openApi/TargetDataSaveDelete',
    method: 'post',
    data: params
  })
}

//数据储存-保存
export function Datastoragemod(params) {
  return request({
    url: '/baggageDC/openApi/SaveTargetSave',
    method: 'post',
    data: params
  })
}

//数据储存-详情查询
export function storageList(params) {
  return request({
    url: '/baggageDC/openApi/GetTargetDataSaveItems',
    method: 'post',
    data: params
  })
}

//数据储存-详情新增
export function storageListadd(params) {
  return request({
    url: '/baggageDC/openApi/TargetDataSaveItemSave',
    method: 'post',
    data: params
  })
}
//数据储存-详情新增
export function storageListdel(params) {
  return request({
    url: '/baggageDC/openApi/SaveDataItemDelete',
    method: 'post',
    data: params
  })
}

//数据储存-异常类型
export function exceptiontype(params) {
  return request({
    url: '/baggageDC/openApi/SpecailtypeQuery',
    method: 'post',
    data: params
  })
}

//数据储存-异常类型新增
export function exceptionadd(params) {
  return request({
    url: '/baggageDC/openApi/SpecailtypeSave',
    method: 'post',
    data: params
  })
}

//数据储存-异常类型删除
export function exceptiondel(params) {
  return request({
    url: '/baggageDC/openApi/SpecailtypeDelete',
    method: 'post',
    data: params
  })
}

